define('aim/assignment/view/SelectCapacityValueView',[], function() {
	var SelectCapacityValueView = Backbone.View.extend({
		
		el: '#capacityValue-group',
		initialize : function() {
			this.listenTo(this.model.get('planValueModel'), 'sync', this.render);
		},
		
		render : function() {
			var tmpOps = {};
			var planValueModel = this.model.get('planValueModel');
			tmpOps.number = planValueModel.get('capacityValue');
			tmpOps.id = "capacityValue";
			tmpOps.label = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.add.dialog.capacity.value.label");
			tmpOps.min = 2;
			tmpOps.max = 4000;
			tmpOps.disabled = "disabled";
			this.$el.html(Naomi.Templates.JiraRp.number(tmpOps, null, null));
			this.value=planValueModel.get('restValue');
			return this;
		}
	});
	return SelectCapacityValueView;
});