define('aim/assignment/view/SelectProjectView',[], function() {
	var SelectProjectView = Backbone.View.extend({
		
		el: '#product-single-select',
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var preSelect = this.model.get("selectedProject");
			var tmpOps = {};
			var selectDatas = {};
			selectDatas.selectValues = new Array();
			var self=this;
			_.each(this.model.get("projectOptions"), function(resourcePlaningProject) {
				var selectData = {};
				selectData.id = resourcePlaningProject.projectId;
				selectData.name = resourcePlaningProject.projectKey;
				if( preSelect == resourcePlaningProject.projectId){
					selectData.selected='selected';
					self.selection=true;
				}
				selectDatas.selectValues.push(selectData);
			});
			this.$el.html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
			if(this.selection==true){
				this.$el.prepend(Naomi.Templates.JiraRp.placeholder());
			}else{
				this.$el.prepend(Naomi.Templates.JiraRp.selectedPlaceholder());
			}
			AJS.$("#product-single-select").auiSelect2();
			return this;
		}
	});
	return SelectProjectView;
});