var constants = {
		resourceMode : "resources",
		projectMode : "projects"
};

jQuery(document).ready(function($) {
	
		if (!String.prototype.endsWith) {
			  String.prototype.endsWith = function(searchString, position) {
			      var subjectString = this.toString();
			      if (position === undefined || position > subjectString.length) {
			        position = subjectString.length;
			      }
			      position -= searchString.length;
			      var lastIndex = subjectString.indexOf(searchString, position);
			      return lastIndex !== -1 && lastIndex === position;
			  };
			}
		
	jQuery.fn.filterByText = function(textbox) {
	    return this.each(function() {
	        var select = this;
	        var options = [];
	        $(select).find('option').each(function() {
	            options.push({value: $(this).val(), text: $(this).text()});
	        });
	        $(select).data('options', options);

	        $(textbox).bind('change keyup', function() {
	            var options = $(select).empty().data('options');
	            var search = $.trim($(this).val());
	            var regex = new RegExp(search,"gi");

	            $.each(options, function(i) {
	                var option = options[i];
	                if(option.text.match(regex) !== null) {
	                    $(select).append(
	                        $('<option>').text(option.text).val(option.value)
	                    );
	                }
	            });
	        });
	    });
	};
	var renderProjectsInFilter = false;
	$("#capacity-sidebar").replaceWith(Naomi.Templates.Filter.sidebar());
	$("#new-resource-filter-dialog").replaceWith(Naomi.Templates.JiraRp.newFilterPopup(renderProjectsInFilter,null,null));
	var ContextModel = new require('aim/capacity/model/ContextModel');
	var contextModel = new ContextModel();
	var NewFilterModel = new require('aim/capacity/model/NewFilterModel');
	var newFilterModel = new NewFilterModel();
	var FilterContextModel = new require('aim/capacity/model/FilterContextModel');
	var filterContextModel = new FilterContextModel();
	var CapacityValueModel = new require('aim/capacity/model/CapacityValueModel');
	var capacityValueModel = new CapacityValueModel();
	
	var ContextPlanModel = new require('aim/capacity/model/ContextPlanModel');
	var contextPlanModel = new ContextPlanModel({newFilterModel : newFilterModel, capacityValueModel: capacityValueModel, contextModel : contextModel});
	var boardContextModel = new ContextPlanModel({contextModel : contextModel, filterContextModel: filterContextModel});
	var filterModel = new ContextPlanModel({newFilterModel : newFilterModel, filterContextModel: filterContextModel, contextModel : contextModel})

	var AddCapacityPopupView = new require('aim/capacity/view/AddCapacityPopupView');
	var addCapacityPopupView = new AddCapacityPopupView({model: capacityValueModel});
	var CapacityValueView = new require('aim/capacity/view/CapacityValueView');
	var capacityValueView = new CapacityValueView({model: contextPlanModel});
	var BoardMainView = new require('aim/capacity/view/BoardMainView');
	var boardMainView = new BoardMainView({model: contextModel});

	var FilteredNameView = new require('aim/capacity/view/FilteredNameView');
	var filteredNameView = new FilteredNameView(({model: filterModel}))
	var PersonalFilterView = new require('aim/capacity/view/PersonalFilterView');
	var personalFilterView = new PersonalFilterView({model: boardContextModel});
	var FavoriteFilterView = new require('aim/capacity/view/FavoriteFilterView');
	var favoriteFilterView = new FavoriteFilterView({model: boardContextModel});
//	var searchFilterPopupView = new SearchFilterPopupView();
	var CapacitySidebarView = new require('aim/capacity/view/CapacitySidebarView');
	var capacitySidebarView = new CapacitySidebarView({model: filterModel});
	var NewFilterPopupView = new require('aim/capacity/view/NewFilterPopupView');
	var newFilterPopupView = new NewFilterPopupView({model: filterModel});
});
